Tech Community Live: Windows edition
Jun 05 2024, 07:30 AM - 11:30 AM (PDT)
Microsoft Tech Community

Windows build expired

Copper Contributor

Does anyone know if just installing the official regular Windows 11 will work with the Parallels Desktop for Mac M1chip? I had to do the Insider Build, but now that has expired. And it seems that I will have to keep installing a new insider build. So, instead, can I just download the regular Windows 11? Will it be compatible with Parallels Desktop for Mac M1?

15 Replies
This is not a supported scenario.
I was just on with Windows Support and they seemed to think it is, but that I would need to reach out to Parallels to be sure.
This is what they said: As I have checked on my resources, Windows 11 should be compatible with Parallels Desktop 17 if it meets the system requirements for Windows 11 especially TPM which for virtual machines, should be vTPM. What we would suggest is to reach back Parallels and confirm if they are able to make this work with your Parallels Desktop 17 to make sure that it matches the system requirement for the operating system.
From a Microsoft perspective here are the Windows on ARM requirements:

ARM64 VMs are only supported on devices that meet the pre-requisites:
Windows 11 ARM-based PCs with a Microsoft SQ1, Microsoft SQ2, Qualcomm Snapdragon 8cx, or Qualcomm Snapdragon 850 processor
Hyper-V enabled (instructions)

https://aka.ms/WIPARM
Good to know. So I am stuck with installing a new insider build, since my current has expired? Does anyone know if these will keep expiring each time, therefore, having to install the latest new build every time?
I should ask, how do I install the new build, without reinstalling Parallels?
Yes, Insider builds expire.
Ok, so if I can't install Windows 11 using Parallels Desktop for Mac, is there an equivalent program to Parallels that will support Windows 11 on Mac M1chip? Basically I work in the legal community and the State uses a program that ONLY works using Internet Explorer. Of course, the new Microsoft Edge won't work with it, so I need to find a way to make this work. Although I have a workaround, it doesn't appear to work on the newest insider build.
As previously stated, it's not supported on the M1. Internet Explorer has been deprecated. Edge has as built in IE Mode that should be used for sites like this until the site updates their code, but that's a completely different discussion altogether.
Ideally the Windows 11 ARM should works with Parallels Desktop on M1 MAC, but as per MS announcement that they do not support Windows 11 ARM running on M1 chips. You should try out Windows 10 ARM or Windows 11 ARM instead of the regular X86-X64 version.
If possible, could you please post a Windows 10 ARM link that does not go to Windows 11?
Thank you

Try with below link, if not working pls let me know.

https://software-download.microsoft.com/sg/Windows10_InsiderPreview_IoTCore_RPi_ARM32_en-us_17744.is...

 

Links valid for 24 hours from time of creation.
Links expire: 11/13/2021 8:55:24 AM UTC
None of this is supported, to be clear.
okay, so no way for some of them to running Win11 on M1 chips with VM?
I'm simply stating that it's not supported. The link you provided is to an old version of IoT. The current Windows on ARM preview build can be downloaded from https://aka.ms/WIPARM. If you look at the requirements for running it that is listed on that page, you will see that the Mac M1 is not listed in the requirements.